VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ICommandHandler Class Referenceabstract
Standalone Library

Handler for commands. More...

Inheritance diagram for ICommandHandler:

## Public Member Functions
virtual bool | canHandleCommand (const Command &command)=0
| Check if command can be handled.
virtual bool | handleCommand (const Command &command)=0
| Handle command.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Handler for commands.

## Member Function Documentation

virtual bool canHandleCommand | ( | const Command & | command | ) |
| pure virtual

Check if command can be handled.

virtual bool handleCommand | ( | const Command & | command | ) |
| pure virtual

Handle command.

The documentation for this class was generated from the following file:

- icommand.h